--用于唯一标识obj的table
require("systool.baseclass")

EventDispatcher = EventDispatcher or BaseClass()
function EventDispatcher:__init()
	--Model内部事件的初始化
	if self._class_type.local_events then
		for i=1,#self._class_type.local_events do
			self._class_type[self._class_type.local_events[i]] = i
		end
		self.local_events = nil
		self._class_type.local_events = nil
	end
	self.eventSys=EventSystem.New()
end

function EventDispatcher:Bind(type_str, listener_func)
	return self.eventSys:Bind(type_str,listener_func);
end
function EventDispatcher:UnBind(obj)
	self.eventSys:UnBind(obj)
end
function EventDispatcher:Fire(type_str, ...)
	self.eventSys:Fire(type_str, ...)
end

function EventDispatcher:__delete()
	self.eventSys:DeleteMe()
end