--[[
	@brief: Login main view.
	@param：update/UpdateView.lua
	@date：Created by Dongyang Cai on 4/11/2014
]]

require("update.StartView")
require("update.GameUpdate")

UpdateView = UpdateView or BaseClass()

function UpdateView:__init()
	--View的索引Index
	self._index = 1

	self:configUI()
	self:bindEvents()
end

function UpdateView:__delete()
	self:unbindEvents()

	if self._start_view then
		self._start_view:DeleteMe()
		self._start_view = nil
	end
	if self._update then
		self._update:DeleteMe()
		self._update = nil
	end
end

function UpdateView:configUI()

end

function UpdateView:bindEvents()

end

function UpdateView:unbindEvents()
	-- for k,v in pairs(self.event_list) do
	-- 	UpdateModel:getInstance():UnBind(v)
	-- end
end

--[[
	@brief: 根据Index显示View
]]
function UpdateView:showView(index)
	if index and self._index ~= index then
		self._index = index
	end
	--1、显示启动界面（公司的Logo）
	if self._index == 1 then
		self._start_view = StartView.New()
	--2、显示更新界面并且开始更新
	elseif self._index == 2 then
		self._update = GameUpdate.New()
		-- self._update:requireModules()
	--3、显示登陆界面（完成更新）
	elseif self._index == 3 then
		updateController:DeleteMe()
		updateController = nil
		GameLogin.Start()
	end
end