--[[
	@brief: Start main view.
	@param：update/StartView.lua
	@date：Created by Dongyang Cai on 3/11/2014
]]

StartView = StartView or BaseClass()

function StartView:__init()
	self.event_list = {}

	self:configUI()
end

function StartView:__delete()
	--self:unbindEvents()
	self.root_wnd:removeFromParent()
end

function StartView:configUI()
	self.root_wnd = cc.Node:create()
	HandleRenderUnit:GetCoreScene():addToRenderGroup(self.root_wnd, cc.RenderQueue.GRQ_UI)
	self.root_wnd:getParent():reorderChild(self.root_wnd, 2)

	UpdateModel:getInstance():Fire(UpdateModel.SHOW_VIEW, 2)
end