--[[
	@brief: Update model.
	@param：update/UpdateModel.lua
	@date：Created by Dongyang Cai on 3/11/2014
]]

UpdateModel = UpdateModel or BaseClass(EventDispatcher)

UpdateModel.local_events = {
	--brief: 显示更新界面	显示指定index的View
	"SHOW_UPDATE_VIEW", "SHOW_VIEW"
}

function UpdateModel:__init()
	UpdateModel._instance = self
end

function UpdateModel:__delete()
	UpdateModel._instance = nil
end

--[[
	@brief: Model声明为单例，方便数据访问
]]
function UpdateModel:getInstance()
	if UpdateModel._instance == nil then
		UpdateModel.New()
	end
	return UpdateModel._instance
end