--[[
	@brief: Config update view.
	@param：update/config_update.lua
	@date：Created by Dongyang Cai on 4/11/2014
]]

Config = Config or {}

Config.Update = {
	CONST_DES = {
		[1] = "Đang tải, không mất lưu lượng",
		[2] = "Phiên bản mới nhất:",
		[3] = "Phiên bản hiện tại:",
		[4] = "Xác nhận",
		[5] = "Update",
		[6] = "Thoát",
		[7] = "Kết nối lại",
	},

	--域名列表
	DOMAIN_LIST = {
		"fantasy.shg.vn",
		"games.yeahworld.com",
		"203.195.135.71:35680",
	},

	--版本不同的类型
	VERSION_DIFFTYPE = {
		INITIALIZATION = -2,
		HTTP_ERROR = -1,
	    UP_TO_DATE = 0,
	    RESOURCE_DIFF = 1,
	    APP_DIFF = 2,
	    PATCH_PACK = 3,
	},

	LOGIN_ALERT = {
		[1] = "Ghi bộ nhớ thất bại, hãy kiểm tra lại không gian bộ nhớ và thử lại",
		[2] = "Chưa kết nối mạng, hãy kiểm tra lại",
		[3] = "Gói update lần này là 5.5M (kiến nghị update bằng wifi)",
		[4] = "Kết nối thất bại, hãy kiểm tra lại!",
		[5] = "Đang kiểm tra kết nối server…",
		[6] = "Đang vào Fantasy GO",
		[7] = "Nhận dữ liệu phiên bản thành công",
		[8] = "Đang khởi tạo lại game, không mất lưu lượng",
	},
	
	WORDS = {
		[1] = "Gói update lv %d %dkb/%dkb - %dkb/s",
		[2] = "%dkb/%dkb tốc độ %dkb/s",
		[3] = "Đang giải nén, không tốn lưu lượng",
		[4] = "%d/%d  %dkb/%dkb tốc độ %dkb/s",
		[5] = "Phiên bản game của bạn đã cũ, click để tải gói cài mới",
		[6] = "Tải",
		[7] = "Đóng",
	}
}